亚马逊产品
Amazon Product 返回单个 ASIN 的完整详情页数据,包括价格、图片、类别、变体和属性。
端点
章节标题“端点” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=product
参数
章节标题“参数”| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
api_key | string | 是 | 您的 SERP API 密钥(与 Amazon 共用)。 |
engine | string | 是 | 必须为 amazon。 |
type | string | 是 | 必须为 product。 |
product_id | string | 是 | Amazon 产品 ID(ASIN)。 |
domain | string | 否 | 市场域名,默认 amazon.com。 |
device | desktop | mobile | 否 | 模拟设备。 |
查找产品 ID
章节标题“查找产品 ID”Amazon 通过 ASIN(Amazon Standard Identification Number)标识产品。您可以通过两种方式找到它:
- 在产品 URL 中,位于
/dp/之后(例如,https://www.amazon.com/dp/B08C1W5N87)。 - 在产品页面的 “Product Information” 或 “Additional Information” 部分。
请求示例
章节标题“请求示例”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=product&product_id=B08C1W5N87"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "product", "product_id": "B08C1W5N87",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'product', product_id: 'B08C1W5N87',});
const res = await fetch(url);const data = await res.json();响应示例
章节标题“响应示例”{ "search_metadata": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "product", "product_id": "B08C1W5N87" }, "product": { "title": "Fire TV Stick with Alexa Voice Remote", "product_id": "B08C1W5N87", "brand": "Amazon", "price": { "current_price": "$19.99", "currency": "$" }, "rating": { "rating": 4.7, "total_ratings": 141438 }, "keywords": ["fire tv", "streaming device"], "categories": [ { "name": "Electronics", "link": "/electronics" }, { "name": "Streaming Media Players" } ], "images": [ "https://m.media-amazon.com/images/I/51KKR5uGn6L.jpg" ], "attributes": [ { "name": "Connectivity", "value": "Wi-Fi, HDMI" } ] }}